Package org.eclipse.mat.query.refined

## Class RefinedTable

- java.lang.Object
- - org.eclipse.mat.query.refined.RefinedStructuredResult
  - - org.eclipse.mat.query.refined.RefinedTable

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IResultTable`, `ISelectionProvider`, `IStructuredResult`

    public class RefinedTable
    extends RefinedStructuredResult
    implements IResultTable

The result from refining a table.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.query.refined.RefinedStructuredResult

`RefinedStructuredResult.DerivedDataJobDefinition, RefinedStructuredResult.ICalculationProgress`

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Fields inherited from interface org.eclipse.mat.query.ISelectionProvider

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filterChanged​(Filter filter)`
`Object` `getRow​(int rowId)` Returns the object of the row with the given row number.
`int` `getRowCount()` Returns the number of rows in the result table.
`List<?>` `getRows()`
`void` `refresh()`

### Methods inherited from class org.eclipse.mat.query.refined.RefinedStructuredResult

`addDerivedDataColumn, buildTotalsRow, calculate, calculateTotals, getColumnFor, getColumns, getColumnValue, getContext, getFilter, getFilteredCount, getFormattedColumnValue, getIcon, getJobs, getResultMetaData, getSortColumn, getSortDirection, hasActiveFilter, isDecorated, isExpanded, isSelected, setSelectionProvider, setSortOrder, sort, unwrap`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Method Detail

#### getRowCount

    public int getRowCount()

Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`
Returns:
  the number of rows

#### getRows

    public List<?> getRows()

#### getRow

    public Object getRow​(int rowId)

Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  an opaque row object representing this row which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### refresh

    public void refresh()

#### filterChanged

    public void filterChanged​(Filter filter)

Overrides:
  `filterChanged` in class `RefinedStructuredResult`